- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_http_svr_thread.h File Reference

axis2 HTTP server listning thread implementation More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_http_worker.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_http_svr_thread | axis2_http_svr_thread_t
## Functions
AXIS2_EXTERN axis2_status_t | axis2_http_svr_thread_run (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_svr_thread_destroy (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_http_svr_thread_get_local_port (const axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_http_svr_thread_is_running (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_svr_thread_set_worker (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env, axis2_http_worker_t *worker)
AXIS2_EXTERN void | axis2_http_svr_thread_free (axis2_http_svr_thread_t *svr_thread, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_svr_thread_t * | axis2_http_svr_thread_create (const axutil_env_t *env, int port)

## Detailed Description

axis2 HTTP server listning thread implementation